import 'package:flutter_test/flutter_test.dart';
import 'package:workouttest_util/model/cache.dart';
import 'package:workouttest_util/service/api.dart';
import 'package:workouttest_util/service/webapi.dart';

main() {
  setUp(() {
    Cache().setLocalBaseUrl();
  });

  group('api', () {

    test('connect api auth successfully', () async {
      var api = APIClient();
      var responseJson = await api.authenticateUser("bosi", "andio2009");
      print(responseJson);
      Cache().authToken = responseJson['token'];
      final body = await api.get("app_package", "");
      print(body);
    });

    test('connect webapi auth successfully', () async {
      var api = APIWebClient();
      var responseJson = await api.authenticateUser("bosi", "andio2009");
      print(responseJson);
      Cache().authToken = responseJson['token'];
      final body = await api.get("app_package", "");
      print(body);
    });
  });
}